Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.j2ee.statistics
Interface JCAConnectionStats

All Superinterfaces:
  Stats

All Known Subinterfaces:
  JCAConnectionPoolStats

public interface JCAConnectionStats
extends Stats

Specifies the statistics provided by a JCA connection

Method Summary
`java.lang.String` | `getConnectionFactory()` Returns the associated JCAConnectionFactory OBJECT_NAME
`java.lang.String` | `getManagedConnectionFactory()` Returns the associated JCAManagedConnectionFactory OBJECT_NAME
`TimeStatistic` | `getUseTime()` Returns the time spent using a connection
`TimeStatistic` | `getWaitTime()` Returns the time spent waiting for a connection to be available

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Method Detail

### getConnectionFactory

    public java.lang.String getConnectionFactory()

  Returns the associated JCAConnectionFactory OBJECT_NAME

  Returns:
    String the OBJECT_NAME of the managed object that identifies the connection factory for this connection

### getManagedConnectionFactory

    public java.lang.String getManagedConnectionFactory()

  Returns the associated JCAManagedConnectionFactory OBJECT_NAME

  Returns:
    String the OBJECT_NAME of the managed object that identifies the managed connection factory for this connection

### getWaitTime

    public TimeStatistic getWaitTime()

  Returns the time spent waiting for a connection to be available

  Returns:
    TimeStatistic

### getUseTime

    public TimeStatistic getUseTime()

  Returns the time spent using a connection

  Returns:
    TimeStatistic

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.